#!/bin/sh
# Script to substitute contents of nexternal.inc into an MG4 matrix.f routine
# First create or restore backup of original matrix.f file
if [ -r backup.f ]; then
  echo $0: restoring matrix.f from backup.f
  cp backup.f matrix.f
else
  echo $0: creating backup.f
  cp -p matrix.f backup.f
fi
# Now substitute contents of nexternal.inc into matrix.f file
echo $0: "processing matrix.f (requires perl)"
perl -pe 's/      include "nexternal.inc"/`cat nexternal.inc`/ge' -i matrix.f
echo $0: matrix.f is now ready to be copied to the VINCIA interfaces/MG4 directory for processing with convert.sh
